
var $j = jQuery;

$j(document).ajaxStop($j.unblockUI); 

$j(function() {

    if (!$j.isFunction($j.fn.on) ) {
        alert('Watch Movies Plugin requires at least jQuery 1.7 for .on() function support (.live() replacement)');
    }

    $j('#wpwm-tabs').tabify();
    $j('.wpwm-tabs').tabify();

     $j('#wpwm-filter').on('submit', function() { 
        $j('.wpwm-paged').val(1);

        $j.blockUI({ message: $j('#domMessage') }); 
        $j(this).ajaxSubmit(
            {
                target: '.wpwm-items-ajax', 
                success:       addRating
            }
        );

        return false; 
    });

     $j('.wpwm-filter-toggle').click(function() {
     	$j('#wpwm-filtering-options').toggle('slow');
     });

     function addRating() {
        $j('.rateit').rateit();
     }

     if(jQuery().live) {
        
        var bind = $j('.wpwm-load-more').live('click', function() {
            var id = parseInt($j(this).attr("id"));
            $j('.wpwm-paged').val(id);

            $j.blockUI({ message: $j('#domMessage') }); 


            $j('#wpwm-filter').ajaxSubmit(
                {
                    target: '.wpwm-items-ajax', 
                    success:       addRating
                }
            );

            return false; 
        });

     }else{
        
        $j('.wpwm-load-more').on('click', function() {
            var id = parseInt($j(this).attr("id"));
            $j('.wpwm-paged').val(id);

            $j.blockUI({ message: $j('#domMessage') }); 
            $j('#wpwm-filter').ajaxSubmit(
                {
                    target: '.wpwm-items-ajax', 
                    success:       addRating
                }
            );

            return false; 
        });

     }

     $j('.rateit').bind('rated reset', function (e) {
         var ri = $j(this);
 
         var value = ri.rateit('value');
         var movieID = ri.data('movieid');
 
         //maybe we want to disable voting?
         ri.rateit('readonly', true);

         $j.ajax({
             url: '/wp-admin/admin-ajax.php',
             data: { id: movieID, value: value, action: 'wpwm_rate' }, //our data
             type: 'POST',
             success: function (data) {
                 $j('.rateit-result-' + movieID).html('<li>' + data + '</li>');
             },
             error: function (jxhr, msg, err) {
                 $j('.rateit-result-' + movieID).html('<li style="color:red">' + msg + '</li>');
             }
         });
 
         
     });

     $j('.wpwm-rate-link').on('click', function() {
            var element = $j(this);
            var movie = $j(this).attr('id');
            
            if(movie.indexOf("linkok-") > 0) {
                var movie_id = movie.substring(movie.indexOf("-")+1);
                var link_status = 'ok';
            }else if(movie.indexOf("linkbroken-") > 0) {
                var movie_id = movie.substring(movie.indexOf("-")+1);
                var link_status = 'broken';
            }

            if(typeof movie_id != 'undefined') {

                $j.ajax({
                         url: '/wp-admin/admin-ajax.php',
                         data: { id: movie_id, value: link_status, action: 'wpwm_link_rate' }, //our data
                         type: 'POST',
                         success: function (data) {
                             //$j(element).after("<br/>" + data.replace("0", "") + "<br/>");
                             $j(element).text(data.replace("0", ""));
                         },
                         error: function (jxhr, msg, err) {
                             alert(msg);
                         }
                     });

            }

     });
        
});